Storyden
Auth

O Auth Remote Callback

Complete a remote OAuth authorization code callback. This validates the saved state, exchanges the code with PKCE, and stores returned tokens on the remote connection.

GET/oauth/remote/callback

Complete a remote OAuth authorization code callback. This validates the saved state, exchanges the code with PKCE, and stores returned tokens on the remote connection.

Authorization

browser
storyden-session<token>

In: cookie

Query Parameters

state?string

Client-provided opaque state returned to the redirect URI.

code*string

OAuth authorization code returned to the redirect URI.

Response Body

application/json

application/json

curl -X GET "https://example.com/oauth/remote/callback?code=string"
{  "connection": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "resource_url": "http://example.com",    "resource": "string",    "resource_name": "string",    "authorization_server": "http://example.com",    "mode": "cimd",    "status": "pending",    "client_id": "string",    "has_client_secret": true,    "authorization_endpoint": "http://example.com",    "token_endpoint": "http://example.com",    "registration_endpoint": "http://example.com",    "token_endpoint_auth_method": "string",    "redirect_uri": "http://example.com",    "redirect_uris": [      "http://example.com"    ],    "scope": "string",    "has_access_token": true,    "has_refresh_token": true,    "token_type": "string",    "token_expiry": "2019-08-24T14:15:22Z",    "last_error": "string"  }}